<?php
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Blocking direct access to plugin      -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
defined('ABSPATH') or die('Are you crazy!');


// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Create tab's options                  -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// ----------------------------------------
// --- Custom JS Options ------------------
// ----------------------------------------
$globaljsTab->createOption( array(
	'name' => __( 'Global JS Frontend', PIXELSTAT_ID_LANGUAGES ),
	'type' => 'heading',
) );
$globaljsTab->createOption( array(
	'name' => __( 'Global Script JS (HEAD)', PIXELSTAT_ID_LANGUAGES ) . ' <br />( <i>' . __( 'Advanced users', PIXELSTAT_ID_LANGUAGES ) . ' )<i>',
	'id' => 'pixelstat_global_js_fronthead',
	'type' => 'code',
	'theme' => 'idle_fingers',
	'height' => '300',
	'lang' => 'javascript',
) );
$globaljsTab->createOption( array(
	'name' => __( 'Global Script JS (BODY)', PIXELSTAT_ID_LANGUAGES ) . ' <br />( <i>' . __( 'Advanced users', PIXELSTAT_ID_LANGUAGES ) . ' )<i>',
	'id' => 'pixelstat_global_js_frontbody',
	'type' => 'code',
	'theme' => 'idle_fingers',
	'height' => '200',
	'lang' => 'javascript',
) );


// -----------------------------------------
// -----------------------------------------
// -----------------------------------------
// -----------------------------------------
// -----------------------------------------

// -----------------------------------------
// --- load JS into the website's front-end in HEADER
// --- load JS into the website's Thank you Page (WC)
// -----------------------------------------
add_action('wp_head', 'pixelstat_global_js_front_head', 20);
add_action( 'woocommerce_thankyou', 'pixelstat_global_js_front_head' );
function pixelstat_global_js_front_head() {
	$pixelstat_option = TitanFramework::getInstance( 'pixelstat' );
	// --- Retrieve options
	echo wp_unslash( $pixelstat_option->getOption( 'pixelstat_global_js_fronthead' ) );	
}

// -----------------------------------------
// --- Insert tracking code directly after BODY opens
// -----------------------------------------
add_filter('body_class', 'wps_add_tracking_body', PHP_INT_MAX); // make sure, that's the last filter in the queue
function wps_add_tracking_body($classes) {
	$pixelstat_option = TitanFramework::getInstance( 'pixelstat' );
	// close <body> tag, insert stuff, open some other tag with senseless variable      
	//$classes[] = '"><script> /* do whatever */ </script><noscript></noscript novar="';
	$classes[] = '">' . wp_unslash( $pixelstat_option->getOption( 'pixelstat_global_js_frontbody' ) );;
  return $classes;
}
