<?php
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Blocking direct access to plugin      -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
defined('ABSPATH') or die('Are you crazy!');

// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Add CSS stylesheet to admin           -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
add_action( 'admin_enqueue_scripts', 'pixelstat_admin_styles' );
function pixelstat_admin_styles() {
  wp_register_style( 'pixelstat_admin_css', PIXELSTAT_URL . 'css/pixelstat-style-admin.css', false, PIXELSTAT_VERSION );
  wp_enqueue_style( 'pixelstat_admin_css' );
}

add_action( 'admin_enqueue_scripts', 'pixelstat_awesome_admin_styles' );
if (!function_exists("pixelstat_awesome_admin_styles")) {
	function pixelstat_awesome_admin_styles() {
		wp_register_style( 'pixelstat_awesome_admin_css', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css', false, '4.7.0' );
		wp_enqueue_style( 'pixelstat_awesome_admin_css' );
	}
}

// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Add JS Scripts to admin               -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
add_action( 'admin_enqueue_scripts', 'pixelstat_script_admin_method' );
function pixelstat_script_admin_method() {
	wp_enqueue_script(
		'pixelstat-script-admin',
		PIXELSTAT_URL . 'js/pixelstat-script-admin.js',
		array( 'jquery' )
	);
}

// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Add JS Scripts to front               -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
add_action( 'wp_enqueue_scripts', 'pixelstat_script_method' );
function pixelstat_script_method() {
	wp_enqueue_script(
		'pixelstat-script',
		PIXELSTAT_URL . 'js/pixelstat-script.js',
		array( 'jquery' )
	);
}

?>