<?php
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Blocking direct access to plugin      -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
defined('ABSPATH') or die('Are you crazy!');

// ----------------------------------------
// --- Metabox Options --------------------
// ----------------------------------------
$pixelstat_post_metabox = $pixelstat_option->createMetaBox( array(
	'name' => 'Script HEADER',
	'desc' => __( 'Insert HTML Code visible in the Website BODY ', PIXELSTAT_ID_LANGUAGES ),
	//'hide_custom_fields' => false,
	'priority' => 'high', // 'high', 'core', 'default', 'low'
	'context' => 'side',
	'post_type' => array( 'product' ), // array( 'page', 'post', 'product', 'my_other_post_type' ),
) );
$pixelstat_post_metabox->createOption( array(
	'name' => '',
	'id' => 'pixelstat_script_header',
	'type' => 'textarea',
) );

// -----------------------------------------
// --- Show Script HEADER in Product -------
// -----------------------------------------
add_action( 'woocommerce_thankyou', 'pixelstat_add_conversion_tracking' );
//add_action( 'woocommerce_single_product_summary', 'pixelstat_add_conversion_tracking', 41 );
function pixelstat_add_conversion_tracking($order_id) {
	if ( ! $order_id ) {
	  return;
	}
	// Initialization
	$pixelstat_option = TitanFramework::getInstance( 'pixelstat' );
	// Get order infos
	$order = new WC_Order( $order_id );
	// Iterating through each WC_Order_Item_Product objects
	foreach ($order->get_items() as $item_key => $item_values) {
		$product_id = $item_values->get_product_id(); // the Product id
		echo get_post_meta($product_id, 'pixelstat_pixelstat_script_header', true  );
	}
}

?>