<?php
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Blocking direct access to plugin      -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
defined('ABSPATH') or die('Are you crazy!');


add_action( 'tf_create_options', 'pixelstat_create_options' );
function pixelstat_create_options() {
	
	remove_filter( 'admin_footer_text', 'addTitanCreditText' );

    /***************************************************************
     * Launch options framework instance
     ***************************************************************/
    $pixelstat_option = TitanFramework::getInstance( 'pixelstat' );


    /***************************************************************
     * Create option menu item
     ***************************************************************/
    $pixelstat_panel = $pixelstat_option->createAdminPanel( array(
        'name' => PIXELSTAT_NAME,
		'title' => PIXELSTAT_NAME . ' <a class="add-new-h2" href="./admin.php?page=pixelstat_list">' . __( 'All lists', PIXELSTAT_ID_LANGUAGES ) . '</a>',
        'icon' => 'dashicons-image-filter',
        'id' => PIXELSTAT_ID,
		'capability' => 'manage_options',
		'desc' => '',
            ) );
	// --- Sous menu
//	$pixelstat_submenu = $pixelstat_panel->createAdminPanel( array(
//        'name' => __( 'Global JS', PIXELSTAT_ID_LANGUAGES ),
//		'id' => 'pixelstat&tab=globaljs',
//    ) );
	$pixelstat_submenu = $pixelstat_panel->createAdminPanel( array(
        'name' => __( 'Credits', PIXELSTAT_ID_LANGUAGES ),
		'id' => 'pixelstat&tab=credits',
    ) );
	
    // -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
    // Create option panel tabs              -=
    // -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
    $dashboardTab = $pixelstat_panel->createTab( array(
        'name' => __( 'Dashboard', PIXELSTAT_ID_LANGUAGES ),
        'id' => 'dashboard',
            ) );
	//$globaljsTab = $pixelstat_panel->createTab( array(
	//	'name' => __( 'Global JS', PIXELSTAT_ID_LANGUAGES ),
	//	'id' => 'globaljs',
	//) );
    $creditsTab = $pixelstat_panel->createTab( array(
        'name' => __( 'Credits', PIXELSTAT_ID_LANGUAGES ),
        'id' => 'credits',
            ) );
			
	// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	// Create tab's plugin                   -=
	// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	//$pixelStatOptions = ['dashboard', 'lists', 'globaljs', 'metabox', 'credits'];
	$pixelStatOptions = ['dashboard', 'lists', 'metabox', 'credits'];
	foreach ($pixelStatOptions as $pixelStatOption) {
		$pixelStatOptionFile = PIXELSTAT_PATH . 'includes/' . PIXELSTAT_ID . '-' . $pixelStatOption . '.php';
		if (file_exists($pixelStatOptionFile))
			require_once($pixelStatOptionFile);
	}
	
    // -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	// Launch options framework instance     -=
	// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=    
    //$globaljsTab->createOption( array(
    //    'type' => 'save',
    //    'save' => __( 'Save Changes', PIXELSTAT_ID_LANGUAGES ),
    //    'reset' => __( 'Reset to Defaults', PIXELSTAT_ID_LANGUAGES ),
    //) );
	
} // END pixelstat_create_options

