<?php
// ------------------------------------------------
// if uninstall.php is not called by WordPress, die
// ------------------------------------------------
if (!defined('WP_UNINSTALL_PLUGIN')) {
    die;
}
// ------------------------------------------------

// ----------------------------
// Initialization
// ----------------------------
global $wpdb;
$plugin_table_name = $wpdb->prefix . "pixel_stat";

// ----------------------------
// Drop database table
// ----------------------------
// Table LIST
$wpdb->query("DROP TABLE IF EXISTS $plugin_table_name");
// ----------------------------

// -------------- 
// Delete Options
// --------------
$options = [
	 'pixelstat_db_version'
	,'pixelstat_credits'
];
// --------------
foreach ( $options as $option ) {
	if ( get_option( $option ) ) {
		delete_option( $option );
	}
}

remove_action( 'pixelstat_check_status_order', 'pixelstat_do_cron' );
// clean the scheduler
function pixelstat_cron_job_delete() {
	wp_clear_scheduled_hook('pixelstat_check_status_order');
}


?>